Index: src/edu/ucsb/nceas/metacat/shared/BaseAccess.java
===================================================================
--- src/edu/ucsb/nceas/metacat/shared/BaseAccess.java	(nonexistent)
+++ src/edu/ucsb/nceas/metacat/shared/BaseAccess.java	(revision 5015)
@@ -0,0 +1,55 @@
+/**
+ *  '$RCSfile$'
+ *    Purpose: A Class that manages database access 
+ *             information.
+ *  Copyright: 2009 Regents of the University of California and the
+ *             National Center for Ecological Analysis and Synthesis
+ *    Authors: Michael Daigle
+ * 
+ *   '$Author: daigle $'
+ *     '$Date: 2009-03-23 13:56:56 -0800 (Mon, 23 Mar 2009) $'
+ * '$Revision: 4854 $'
+ *
+ * This program is free software; you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation; either version 2 of the License, or
+ * (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ */
+
+package edu.ucsb.nceas.metacat.shared;
+
+import java.sql.ResultSet;
+import java.sql.SQLException;
+
+import edu.ucsb.nceas.metacat.database.DBConnection;
+import edu.ucsb.nceas.metacat.database.DBConnectionPool;
+
+public abstract class BaseAccess {
+	
+	protected DBConnection conn = null;
+    protected int serialNumber = -1;
+    protected ResultSet rs = null;
+	
+    protected BaseAccess(String methodName) throws AccessException {
+        //check out DBConnection
+    	try {
+    		conn = DBConnectionPool.
+                	getDBConnection("methodName");
+    		serialNumber = conn.getCheckOutSerialNumber();
+    	} catch (SQLException sqle) {
+    		throw new AccessException("Could not get connection from DB connection pool: " 
+    				+ sqle.getMessage());
+    	}
+    }
+    
+    protected abstract BaseDAO populateDAO(ResultSet resultSet) throws SQLException ;
+}
\ No newline at end of file

Index: src/edu/ucsb/nceas/metacat/QueryTerm.java
===================================================================
--- src/edu/ucsb/nceas/metacat/QueryTerm.java	(revision 5014)
+++ src/edu/ucsb/nceas/metacat/QueryTerm.java	(revision 5015)
@@ -32,9 +32,9 @@
 import java.util.Vector;
 import org.apache.log4j.Logger;
 
+import edu.ucsb.nceas.metacat.shared.MetacatUtilException;
 import edu.ucsb.nceas.metacat.util.MetacatUtil;
 import edu.ucsb.nceas.metacat.util.SystemUtil;
-import edu.ucsb.nceas.metacat.util.MetacatUtilException;
 
 /** a utility class that represents a single term in a query */
 public class QueryTerm
Index: src/edu/ucsb/nceas/metacat/admin/LoginAdmin.java
===================================================================
--- src/edu/ucsb/nceas/metacat/admin/LoginAdmin.java	(revision 5014)
+++ src/edu/ucsb/nceas/metacat/admin/LoginAdmin.java	(revision 5015)
@@ -35,9 +35,9 @@
 
 import org.apache.log4j.Logger;
 
+import edu.ucsb.nceas.metacat.shared.MetacatUtilException;
 import edu.ucsb.nceas.metacat.util.AuthUtil;
 import edu.ucsb.nceas.metacat.util.RequestUtil;
-import edu.ucsb.nceas.metacat.util.MetacatUtilException;
 
 /**
  * Control the display of the login page 
Index: src/edu/ucsb/nceas/metacat/admin/BackupAdmin.java
===================================================================
--- src/edu/ucsb/nceas/metacat/admin/BackupAdmin.java	(revision 5014)
+++ src/edu/ucsb/nceas/metacat/admin/BackupAdmin.java	(revision 5015)
@@ -36,9 +36,9 @@
 import org.apache.log4j.Logger;
 
 import edu.ucsb.nceas.metacat.service.PropertyService;
-import edu.ucsb.nceas.metacat.service.ServiceException;
 import edu.ucsb.nceas.metacat.service.ServiceService;
-import edu.ucsb.nceas.metacat.util.MetacatUtilException;
+import edu.ucsb.nceas.metacat.shared.MetacatUtilException;
+import edu.ucsb.nceas.metacat.shared.ServiceException;
 import edu.ucsb.nceas.metacat.util.RequestUtil;
 import edu.ucsb.nceas.metacat.util.SystemUtil;
 import edu.ucsb.nceas.utilities.FileUtil;
Index: src/edu/ucsb/nceas/metacat/SchemaLocationResolver.java
===================================================================
--- src/edu/ucsb/nceas/metacat/SchemaLocationResolver.java	(revision 5014)
+++ src/edu/ucsb/nceas/metacat/SchemaLocationResolver.java	(revision 5015)
@@ -38,6 +38,8 @@
 
 import org.apache.log4j.Logger;
 
+import edu.ucsb.nceas.metacat.database.DBConnection;
+import edu.ucsb.nceas.metacat.database.DBConnectionPool;
 import edu.ucsb.nceas.metacat.service.ServiceService;
 import edu.ucsb.nceas.metacat.service.XMLSchemaService;
 import edu.ucsb.nceas.metacat.util.SystemUtil;
Index: src/edu/ucsb/nceas/metacat/AccessControlList.java
===================================================================
--- src/edu/ucsb/nceas/metacat/AccessControlList.java	(revision 5014)
+++ src/edu/ucsb/nceas/metacat/AccessControlList.java	(revision 5015)
@@ -47,7 +47,9 @@
 import org.xml.sax.helpers.XMLReaderFactory;
 import org.xml.sax.helpers.DefaultHandler;
 
-import edu.ucsb.nceas.metacat.service.DatabaseService;
+import edu.ucsb.nceas.metacat.database.DBConnection;
+import edu.ucsb.nceas.metacat.database.DBConnectionPool;
+import edu.ucsb.nceas.metacat.database.DatabaseService;
 import edu.ucsb.nceas.metacat.service.PropertyService;
 import edu.ucsb.nceas.metacat.util.MetacatUtil;
 import edu.ucsb.nceas.metacat.util.SystemUtil;
Index: src/edu/ucsb/nceas/metacat/scheduler/MetacatSchedulerException.java
===================================================================
--- src/edu/ucsb/nceas/metacat/scheduler/MetacatSchedulerException.java	(revision 5014)
+++ src/edu/ucsb/nceas/metacat/scheduler/MetacatSchedulerException.java	(revision 5015)
@@ -28,7 +28,7 @@
 
 package edu.ucsb.nceas.metacat.scheduler;
 
-import edu.ucsb.nceas.shared.BaseException;
+import edu.ucsb.nceas.metacat.shared.BaseException;
 
 /**
  * Exception thrown when an error occurs in a configuration administrative
